%define _switchdir	%_x11libdir/drv.d
%define x11_ver 6.8.2

%define drvs	modules/drivers
%define glxs    modules/extensions

Name: matroxdriver_glx
Version: 1.4.2
Release: alt1
Summary: Matrox Parhelia Driver
Group: System/Kernel and hardware

Packager: LAKostis <lakostis at altlinux.ru>

URL: http://www.matrox.com/
License: Proprietary

Provides: libGL
Provides: x11-driver-matrox

Source0: http://www.tuxx-home.at/projects/mtx/unofficial-mtxdriver-pro-%version-tuxx-home.at.run
Source1: matrox-switch
Patch: matroxdriver-1.4.2-vm_pud_changes.patch

Requires: xorg-x11-server = %x11_ver, hardware >= 0.2

BuildPreReq: kernel-build-tools
ExclusiveArch: %ix86

%description 
Proprietary Matrox drivers for Parhelia cards.

%package -n kernel-source-matroxdriver-%version
Summary: Linux matroxdriver (Parhelia video card driver) module sources
Group: Development/Kernel

%description -n kernel-source-matroxdriver-%version
matroxdriver (Parhelia video card driver) module sources for Linux kernel.

%prep
%setup -T -c
echo -n $RPM_BUILD_DIR | sh %SOURCE0 --nox11 --extract-only --target $RPM_BUILD_DIR/%name-%version && true 
%setup -D -T

pushd kernel
%patch -p1
cd ..
%__mv kernel kernel-source-matroxdriver-%version
%__tar -cj -f ../../kernel-source-matroxdriver-%version.tar.bz2 \
	kernel-source-matroxdriver-%version
popd

%install
%set_strip_method shared
%set_verify_elf_method textrel=relaxed,rpath=strict

%__mkdir_p %buildroot%_x11bindir
%__mkdir_p %buildroot%_x11libdir/modules-extra
%__mkdir_p %buildroot%_x11includedir
%__mkdir_p %buildroot%_x11libdir/%drvs
%__mkdir_p %buildroot%_x11libdir/%glxs
%__mkdir_p %buildroot%_x11libdir/matroxdriver

%__mkdir_p %kernel_srcdir

%__install -p -m644 xserver/%x11_ver/mtx_drv.o \
	%buildroot%_x11libdir/%drvs/

%__install -p -m644 xserver/%x11_ver/v4l_drv.o \
	%buildroot%_x11libdir/modules-extra

%__install -p -m644 opengl/libglx.a \
	%buildroot%_x11libdir/%glxs/libmtx_glx.a

%__install -p -m644 opengl/libGL.so.1.3.0 \
	%buildroot%_x11libdir/matroxdriver/libGL.so.1

%__install -p -m644 ../../kernel-source-matroxdriver-%version.tar.bz2 %kernel_srcdir/

for f in opengl/include/*.h;
	do %__install -p -m644 $f %buildroot%_x11includedir/mtx_`basename $f`;
done

%__mkdir_p %buildroot%_switchdir
%__install -p -m755 %SOURCE1 %buildroot%_switchdir/matroxdriver
%__subst 's,@X11LIBDIR@,%_x11libdir,g' %buildroot%_switchdir/matroxdriver

%post
echo "To have Xorg make use of the modified v4l module, you should add the following"
echo "line to /etc/X11/xorg.conf, in the files section and above any other"
echo "ModulePath directives:"
echo
echo "      ModulePath \"/usr/X11R6/lib/modules-extra\""
echo
echo "Please note that you may need to uncomment or add another ModulePath line with"
echo "the default module path in it. If Xorg does not start after adding the line"
echo "above, add this one under it:"
echo
echo "      ModulePath \"/usr/X11R6/lib/modules\""
%post_ldconfig

%postun
%postun_ldconfig

%files
%_x11libdir/%drvs/*
%_x11libdir/modules-extra
%_x11libdir/%glxs/*
%_x11libdir/matroxdriver
%_x11includedir/*
%doc samples docs/*
%_switchdir/*

%files -n kernel-source-matroxdriver-%version
%_usrsrc/*

%changelog
* Tue Aug 16 2005 LAKostis <lakostis at altlinux.ru> 1.4.2-alt1
- Initial build for ALTLinux.
- use unofficial version patched for 2.6.12 compatibility.
- put modified v4l driver to /modules-extra directory for avoiding conflicts
  with stock driver
